%define upstream_name	 JSON-Any
%define upstream_version 1.40

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Wrapper Class for the various JSON classes
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/JSON/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CPAN::Meta::Requirements) >= 2.120.620
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dumper)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Storable)
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Test::Needs)
BuildRequires: perl(Test::Warnings) >= 0.9.0
BuildRequires: perl(Test::Without::Module)
BuildRequires: perl(constant)
BuildRequires: perl(open)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module will provide a coherent API to bring together the various JSON
modules currently on CPAN. This module will allow you to code to any JSON
API and have it work regardless of which JSON module is actually installed.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files 
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/*
%{_mandir}/*/*

%changelog
* Sun Sep 10 2023 tv <tv> 1.400.0-1.mga10
+ Revision: 1985730
- update to 1.40

* Sun Mar 20 2022 umeabot <umeabot> 1.390.0-6.mga9
+ Revision: 1804174
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.390.0-5.mga8
+ Revision: 1495287
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.390.0-4.mga7
+ Revision: 1268854
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.390.0-3.mga6
+ Revision: 1028827
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.390.0-2.mga6
+ Revision: 968090
- Mageia 6 Mass Rebuild

* Sun Jul 05 2015 sander85 <sander85> 1.390.0-1.mga6
+ Revision: 851241
- update to 1.39

* Wed Oct 15 2014 umeabot <umeabot> 1.360.0-4.mga5
+ Revision: 745491
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.360.0-3.mga5
+ Revision: 731949
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.360.0-2.mga5
+ Revision: 685140
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 1.360.0-1.mga5
+ Revision: 668739
- update to 1.36

* Sat Aug 16 2014 sander85 <sander85> 1.350.0-1.mga5
+ Revision: 664216
- update to 1.35

* Thu May 29 2014 sander85 <sander85> 1.340.0-1.mga5
+ Revision: 627539
- update to 1.34

* Sat May 17 2014 sander85 <sander85> 1.330.0-1.mga5
+ Revision: 623299
- update to 1.33

* Fri Feb 07 2014 sander85 <sander85> 1.320.0-1.mga5
+ Revision: 585619
- update to 1.32

* Sat Oct 19 2013 umeabot <umeabot> 1.300.0-2.mga4
+ Revision: 528710
- Mageia 4 Mass Rebuild

* Wed Jun 26 2013 jquelin <jquelin> 1.300.0-1.mga4
+ Revision: 446995
- update to 1.30

* Thu Mar 14 2013 rtp <rtp> 1.290.0-3.mga3
+ Revision: 403208
- add missing BR on perl(JSON::DWIW)

* Sun Jan 13 2013 umeabot <umeabot> 1.290.0-2.mga3
+ Revision: 368758
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jun 15 2011 jquelin <jquelin> 1.290.0-1.mga2
+ Revision: 107017
- update to 1.29

* Tue Apr 12 2011 jquelin <jquelin> 1.270.0-1.mga1
+ Revision: 83771
- update to 1.27

* Mon Apr 04 2011 jquelin <jquelin> 1.260.0-1.mga1
+ Revision: 80365
- update to 1.26

* Mon Jan 24 2011 jquelin <jquelin> 1.250.0-1.mga1
+ Revision: 36375
- mageia rebuild
- cleaning spec file
- imported package perl-JSON-Any

